Subject: Re: [PATCH] rxrpc: fix bad unlock balance in rxrpc_do_sendmsg

From: David Howells <[email-masked]>
Date: Mon, 22 Aug 2022 10:21:33 +0100

Actually, there's another bug here too: if rxrpc_wait_for_tx_window() drops
the call mutex then it needs to reload the pending packet state in
rxrpc_send_data() as it may have raced with another sendmsg().

David